
Imports IntraSell_DLL
Public Class VorgangBedingungen

    Private Sub VorgangBedingungen_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
        Try
            GrtransportmethodeTableAdapter.Fill(DsStammdaten.grtransportmethode)
            GrzahlungsmethodeTableAdapter.Fill(DsStammdaten.grzahlungsmethode)
            GrzahlungsbedingungTableAdapter.Fill(DsStammdaten.grzahlungsbedingung)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

#Region "Save"
    Private Sub GrzahlungsbedingungBindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles GrzahlungsbedingungBindingNavigatorSaveItem.Click
        Try
            Validate()
            GrzahlungsbedingungBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsStammdaten)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub BindingNavigatorSaveItem1_Click(sender As Object, e As System.EventArgs) Handles BindingNavigatorSaveItem1.Click
        Try
            Validate()
            GrzahlungsmethodeBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsStammdaten)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub BindingNavigatorSaveItem2_Click(sender As Object, e As System.EventArgs) Handles BindingNavigatorSaveItem2.Click
        Try
            Validate()
            GrtransportmethodeBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsStammdaten)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub
#End Region

End Class